Redmine - Patch #24938

Update tr.yml for general_first_day_of_ week
2017-01-27 12:15 - ozgur yazilimas

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version: 3.4.0

Description

In Turkey, first day of week is not Sunday, it is Monday. Could you please change general_first_day_of week value is to "1" for new
release?

Associated revisions

Revision 16343 - 2017-03-01 04:54 - Toshi MARUYAMA
use Monday for general_first_day_of week in Turkish (#24938)

Contributed by ozgur yazilimas.

History

#1 - 2017-01-27 12:49 - Toshi MARUYAMA
- Category set to 118n

#2 - 2017-01-30 06:17 - Go MAEDA
- File ios-set-region-to-turkey.png added
- File ios-calendar-start-from-monday.png added

- Target version set to 3.4.0

ozgur yazilimas wrote:

In Turkey, first day of week is not Sunday, it is Monday.

Although | don't have knowledge about Turkish calendar, | think that the matter pointed out by ozgur yazilimas is correct.

e default value for firstDay of jQuery Ul date picker is 1 (Monday) in Turkish language:

source:tags/3.3.2/public/javascripts/i18n/datepicker-tr.js#l 29
e iOS shows a calendar starting from Monday if | set its region to Turkey.
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.2/public/javascripts/i18n/datepicker-tr.js#L29

sseec docomo F 09:43 < %100 (55 #

< General Language & Region Edit

iPhone Language English

PREFERRED LANGUAGE ORDER
English
BAE

Japanese
Add Language...

Apps and websites will use the first language in
this list that they support.

REGION FORMATS

Region Turkey §
Calendar Gregorian
Temperature Unit °C
sseec docomo T 00 09:43 7 %100 (55 #
< 2017 =RNE
M T W T F S =
\ JAN
1

%6 17 18 19 20 21

o]
o]

23 24 25 26 27 28 29

O -

Today Calendars Inbox

#3 - 2017-03-01 05:33 - Toshi MARUYAMA

- Status changed from New to Closed
Committed in trunk r16343, thanks.

Files

tr.yml.patch 837 Bytes 2017-01-27 ozgur yazilimas
ios-set-region-to-turkey.png 14.7 KB 2017-01-30 Go MAEDA
ios-calendar-start-from-monday.png 11.6 KB 2017-01-30 Go MAEDA
